API Reference
Voices API
Retrieve the list of voices available for your client's audio productions.
Endpoint
GET /api/voices/{accessToken}Quick Test
curl https://huebsch.schoenreden.com/api/voices/YOUR_TOKENParameters
| Parameter | Type | Required | Description |
|---|---|---|---|
accessToken | string | Yes | Your client access token |
Response
Success
{
"ok": true,
"val": [
{ "name": "Hannah" },
{ "name": "Lysander" }
]
}Returns an array of voice objects, sorted alphabetically.
| Field | Type | Description |
|---|---|---|
name | string | Voice identifier used in intake schemas |
Error
{
"ok": false,
"val": {
"error": "Invalid access token",
"code": "401.2"
}
}For all error codes, see Error Codes.
Usage
- Voices are configured per client by your Huebsch contact
- Voice names are used in intake schemas to specify which voice should read specific content
- The list is sorted alphabetically by name